[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TIndexOption

Index description flags

## Declaration

Source position: db.pas line 1034

`type TIndexOption = (`
`ixPrimary,` |  | The index is the primary index for the data
`ixUnique,` |  | The index is a unique index, i.e. each index value can occur only once
`ixDescending,` |  | The values in the index are sorted descending.
`ixCaseInsensitive,` |  | The values in the index are sorted case-insensitively
`ixExpression,` |  | The values in the index are based on a calculated expression.
`ixNonMaintained` |  | The index is non-maintained, i.e. changing the data will not update the index.
`);`

## Description

TIndexOption describes the various properties that an index can have. It is used in the TIndexOptions set type to describe all properties of an index definition as in TIndexDef.

## See also

TIndexOptions |  | Set of TIndexOption values